<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: fed_itf Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">fed_itf Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for fed_itf:</div>
<div class="dyncontent">
<div class="center"><img src="classfed__itf__inherit__graph.png" border="0" usemap="#fed__itf_inherit__map" alt="Inheritance graph"/></div>
<map name="fed__itf_inherit__map" id="fed__itf_inherit__map">
<area shape="rect" id="node16" href="classSLINK__opt.html" title="SLINK_opt" alt="" coords="636,157,724,184"/><area shape="rect" id="node20" href="classSLINK__opt__XGMII.html" title="SLINK_opt_XGMII" alt="" coords="613,208,747,235"/><area shape="rect" id="node2" href="classfreq__measure.html" title="freq_measure(2)" alt="" coords="315,56,445,83"/><area shape="rect" id="node3" href="classreset__resync.html" title="reset_resync" alt="" coords="145,5,250,32"/><area shape="rect" id="node4" href="classevent__generator.html" title="event_generator(2)" alt="" coords="307,157,453,184"/><area shape="rect" id="node5" href="classreset__resync.html" title="reset_resync(6)" alt="" coords="136,56,259,83"/><area shape="rect" id="node6" href="classgenerate__3.html" title="generate_3(2)" alt="" coords="141,107,254,133"/><area shape="rect" id="node7" href="classresync.html" title="resync(8)" alt="" coords="156,157,239,184"/><area shape="rect" id="node8" href="classtrigger__gen.html" title="trigger_gen(2)" alt="" coords="140,208,255,235"/><area shape="rect" id="node9" href="classresync.html" title="resync(6)" alt="" coords="5,208,88,235"/><area shape="rect" id="node10" href="classmemory__rnd.html" title="memory_rnd(2)" alt="" coords="136,259,259,285"/><area shape="rect" id="node11" href="classresync.html" title="resync(4)" alt="" coords="5,259,88,285"/><area shape="rect" id="node12" href="classlpm__fifo.html" title="lpm_fifo" alt="" coords="9,309,84,336"/><area shape="rect" id="node13" href="classFIFO__sync.html" title="FIFO_sync(2)" alt="" coords="327,208,433,235"/><area shape="rect" id="node14" href="classlpm__fifo__dc.html" title="lpm_fifo_dc(2)" alt="" coords="140,309,255,336"/><area shape="rect" id="node15" href="classCRC__SLINKx.html" title="CRC_SLINKx(2)" alt="" coords="321,259,439,285"/><area shape="rect" id="node17" href="classDaqLSCXG.html" title="DaqLSCXG" alt="" coords="808,157,899,184"/><area shape="rect" id="node18" href="classDAQLSCXG__if.html" title="DAQLSCXG_if" alt="" coords="961,183,1071,209"/><area shape="rect" id="node19" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="1120,183,1211,209"/><area shape="rect" id="node21" href="classDaqLSCXG10G.html" title="DaqLSCXG10G" alt="" coords="795,208,912,235"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classfed__itf-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classfed__itf_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:a9f49de6f5eed5b4488cba6c9cdd1c215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f49de6f5eed5b4488cba6c9cdd1c215"></a>
<a class="el" href="classfed__itf.html#a9f49de6f5eed5b4488cba6c9cdd1c215">work</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classfed__itf.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a0feb43b36d5d47791747901ca6de4ced"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0feb43b36d5d47791747901ca6de4ced"></a>
<a class="el" href="classfed__itf.html#a0feb43b36d5d47791747901ca6de4ced">mydefs</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classmydefs.html"> &lt;mydefs&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a4371b9be3ef20203116aa2a9b09c894f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4371b9be3ef20203116aa2a9b09c894f"></a>
<a class="el" href="classfed__itf.html#a4371b9be3ef20203116aa2a9b09c894f">generator</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">false</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:abccb4df934e096d88fbe914708bd1ce3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abccb4df934e096d88fbe914708bd1ce3"></a>
<a class="el" href="classfed__itf.html#abccb4df934e096d88fbe914708bd1ce3">reset_sysCLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add6d9f1230207b116b906a7866b8b7b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add6d9f1230207b116b906a7866b8b7b5"></a>
<a class="el" href="classfed__itf.html#add6d9f1230207b116b906a7866b8b7b5">Greset_sysCLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2a45cdd716f580a5c1d89ee395e96483"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a45cdd716f580a5c1d89ee395e96483"></a>
<a class="el" href="classfed__itf.html#a2a45cdd716f580a5c1d89ee395e96483">sys_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6289a92e5548ede61e20107a3e7dc496"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6289a92e5548ede61e20107a3e7dc496"></a>
<a class="el" href="classfed__itf.html#a6289a92e5548ede61e20107a3e7dc496">LinkWe</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3a8cf9f80a155d81c75ec1b3a9f53faa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a8cf9f80a155d81c75ec1b3a9f53faa"></a>
<a class="el" href="classfed__itf.html#a3a8cf9f80a155d81c75ec1b3a9f53faa">LinkCtrl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae74d148059ad81278c2774c20e3edabf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae74d148059ad81278c2774c20e3edabf"></a>
<a class="el" href="classfed__itf.html#ae74d148059ad81278c2774c20e3edabf">LinkData</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a18c86153fc7010b993ee6ed643b3d005"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18c86153fc7010b993ee6ed643b3d005"></a>
<a class="el" href="classfed__itf.html#a18c86153fc7010b993ee6ed643b3d005">LinkAlmostFull</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab296510e3c15e093dc7b7484d12d2d46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab296510e3c15e093dc7b7484d12d2d46"></a>
<a class="el" href="classfed__itf.html#ab296510e3c15e093dc7b7484d12d2d46">LinkDown</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5c1c551ca1631da8deb2d89e9195f18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5c1c551ca1631da8deb2d89e9195f18"></a>
<a class="el" href="classfed__itf.html#aa5c1c551ca1631da8deb2d89e9195f18">src_ID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a45e58776eb7ea414924eea12079dda52"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45e58776eb7ea414924eea12079dda52"></a>
<a class="el" href="classfed__itf.html#a45e58776eb7ea414924eea12079dda52">inject_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">17</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af095dda7a20d57359e7bdfafd1cad567"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af095dda7a20d57359e7bdfafd1cad567"></a>
<a class="el" href="classfed__itf.html#af095dda7a20d57359e7bdfafd1cad567">read_ce</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a47ba27d75815c4f9b4631695a6f455a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47ba27d75815c4f9b4631695a6f455a6"></a>
<a class="el" href="classfed__itf.html#a47ba27d75815c4f9b4631695a6f455a6">addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeefae07f58e96a9e1561d30824cc6573"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeefae07f58e96a9e1561d30824cc6573"></a>
<a class="el" href="classfed__itf.html#aeefae07f58e96a9e1561d30824cc6573">status_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1274206f1023b40f413dbce06989736c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1274206f1023b40f413dbce06989736c"></a>
<a class="el" href="classfed__itf.html#a1274206f1023b40f413dbce06989736c">reset_CLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad25a3d508540f8c8fa2b00ed327ae546"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad25a3d508540f8c8fa2b00ed327ae546"></a>
<a class="el" href="classfed__itf.html#ad25a3d508540f8c8fa2b00ed327ae546">Greset_CLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a00788a4dd1b21d2f37a4b9f255b98627"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00788a4dd1b21d2f37a4b9f255b98627"></a>
<a class="el" href="classfed__itf.html#a00788a4dd1b21d2f37a4b9f255b98627">clock</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a78a633f42d2f362c1a7811b6de6ba6be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78a633f42d2f362c1a7811b6de6ba6be"></a>
<a class="el" href="classfed__itf.html#a78a633f42d2f362c1a7811b6de6ba6be">block_free</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c69b7a7aaf28b0306a07949b0b0e042"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c69b7a7aaf28b0306a07949b0b0e042"></a>
<a class="el" href="classfed__itf.html#a0c69b7a7aaf28b0306a07949b0b0e042">data_fed</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f22a14ed8ee2a3ce57726544aac8ae7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f22a14ed8ee2a3ce57726544aac8ae7"></a>
<a class="el" href="classfed__itf.html#a8f22a14ed8ee2a3ce57726544aac8ae7">block_sz_fed</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afdc57d46e73ca342dd3de56532b5cc2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdc57d46e73ca342dd3de56532b5cc2d"></a>
<a class="el" href="classfed__itf.html#afdc57d46e73ca342dd3de56532b5cc2d">wr_ena</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad526f7aa17bfbefd4e2282fbeafa8f2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad526f7aa17bfbefd4e2282fbeafa8f2c"></a>
<a class="el" href="classfed__itf.html#ad526f7aa17bfbefd4e2282fbeafa8f2c">start_evt</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a01aefaff4be09c6a5579990b1216db5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a01aefaff4be09c6a5579990b1216db5b"></a>
<a class="el" href="classfed__itf.html#a01aefaff4be09c6a5579990b1216db5b">stop_evt</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e5920b2187538d6ffca2e7d35338773"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e5920b2187538d6ffca2e7d35338773"></a>
<a class="el" href="classfed__itf.html#a3e5920b2187538d6ffca2e7d35338773">end_blk_fed</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abd54eb0d8b37c8ff2a492d9f59761e4a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd54eb0d8b37c8ff2a492d9f59761e4a"></a>
<a class="el" href="classfed__itf.html#abd54eb0d8b37c8ff2a492d9f59761e4a">wr_cmd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc129d0012beb1f518c882daea9411bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc129d0012beb1f518c882daea9411bb"></a>
<a class="el" href="classfed__itf.html#acc129d0012beb1f518c882daea9411bb">func</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa89e0c4bebb1a00deb81b6a944c50a8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa89e0c4bebb1a00deb81b6a944c50a8d"></a>
<a class="el" href="classfed__itf.html#aa89e0c4bebb1a00deb81b6a944c50a8d">data_wr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acee652f24ffd4dba6ff8b113e3f910b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acee652f24ffd4dba6ff8b113e3f910b1"></a>
<a class="el" href="classfed__itf.html#acee652f24ffd4dba6ff8b113e3f910b1">data_rd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1d83f6811ecb000ce3ac105b1c382ca1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d83f6811ecb000ce3ac105b1c382ca1"></a>
<a class="el" href="classfed__itf.html#a1d83f6811ecb000ce3ac105b1c382ca1">cnt_evt</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a23dacf3df41aa51ca67d77eca84fe684"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a23dacf3df41aa51ca67d77eca84fe684"></a>
<a class="el" href="classfed__itf.html#a23dacf3df41aa51ca67d77eca84fe684">cnt_pckt_rcv</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6d38036b35fd2c674ca32bb196263419"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d38036b35fd2c674ca32bb196263419"></a>
<a class="el" href="classfed__itf.html#a6d38036b35fd2c674ca32bb196263419">cnt_pckt_snd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6860c149c7cfc9861d61d995d755c1c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6860c149c7cfc9861d61d995d755c1c8"></a>
<a class="el" href="classfed__itf.html#a6860c149c7cfc9861d61d995d755c1c8">retransmit_ena</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a756afb343cbd19f154568e850afe6f15"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a756afb343cbd19f154568e850afe6f15"></a>
<a class="el" href="classfed__itf.html#a756afb343cbd19f154568e850afe6f15">status_state_build_p</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a290dcc1f3238f3fd535fe21ada9e43f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a290dcc1f3238f3fd535fe21ada9e43f6"></a>
<a class="el" href="classfed__itf.html#a290dcc1f3238f3fd535fe21ada9e43f6">status_state_core</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a71df3dc090f9cf3fd5621193d6acbd43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71df3dc090f9cf3fd5621193d6acbd43"></a>
<a class="el" href="classfed__itf.html#a71df3dc090f9cf3fd5621193d6acbd43">Serdes_status</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2fed__itf_8vhd_source.html#l00019">19</a> of file <a class="el" href="10Gb_2slink_2fed__itf_8vhd_source.html">fed_itf.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2fed__itf_8vhd_source.html">fed_itf.vhd</a></li>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2fed__itf_8vhd_source.html">fed_itf.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
